# Steps for uploading artifacts

.rsync_upload:
    image: "fedora:32"
    stage: upload
    tags:
        - docker
        - linux
        - build
    environment:
        name: rsync-upload

    script:
        - ls build/
        - dnf install -y --setopt=install_weak_deps=False rsync openssh-clients
        - chmod 400 $RSYNC_BINARY_KEY
        - ssh-keygen -y -f $RSYNC_BINARY_KEY > $RSYNC_BINARY_KEY.pub
        - rsync -tv --recursive -e "ssh -i $RSYNC_BINARY_KEY -o StrictHostKeyChecking=no -o LogLevel=ERROR" build/ kitware@cmake.org:$RSYNC_DESTINATION/
